# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "librespot-audio"
version = "0.1.6"
authors = ["Paul Lietar <paul@lietar.net>"]
description = "The audio fetching and processing logic for librespot"
license = "MIT"
[dependencies.aes-ctr]
version = "0.3"

[dependencies.bit-set]
version = "0.5"

[dependencies.byteorder]
version = "1.3"

[dependencies.bytes]
version = "0.4"

[dependencies.futures]
version = "0.1"

[dependencies.lewton]
version = "0.9"

[dependencies.librespot-core]
version = "0.1.6"

[dependencies.librespot-tremor]
version = "0.2.0"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.num-bigint]
version = "0.2"

[dependencies.num-traits]
version = "0.2"

[dependencies.tempfile]
version = "3.1"

[dependencies.vorbis]
version = "0.0.14"
optional = true

[features]
with-tremor = ["librespot-tremor"]
with-vorbis = ["vorbis"]
